Bug 1730595 - [abrt] krita: __strlen_avx2(): krita killed by SIGSEGV
Summary: [abrt] krita: __strlen_avx2(): krita killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: krita
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:71e51531b9e8c8e982ebb180a62...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-17 07:51 UTC by Joseph
Modified: 2020-05-26 16:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 16:11:41 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (771.38 KB, text/plain)
2019-07-17 07:51 UTC, Joseph
no flags Details
File: cgroup (499 bytes, text/plain)
2019-07-17 07:51 UTC, Joseph
no flags Details
File: core_backtrace (38.78 KB, text/plain)
2019-07-17 07:51 UTC, Joseph
no flags Details
File: cpuinfo (1.47 KB, text/plain)
2019-07-17 07:51 UTC, Joseph
no flags Details
File: dso_list (17.19 KB, text/plain)
2019-07-17 07:51 UTC, Joseph
no flags Details
File: environ (1.88 KB, text/plain)
2019-07-17 07:51 UTC, Joseph
no flags Details
File: exploitable (82 bytes, text/plain)
2019-07-17 07:51 UTC, Joseph
no flags Details
File: limits (1.29 KB, text/plain)
2019-07-17 07:51 UTC, Joseph
no flags Details
File: maps (124.03 KB, text/plain)
2019-07-17 07:52 UTC, Joseph
no flags Details
File: mountinfo (3.94 KB, text/plain)
2019-07-17 07:52 UTC, Joseph
no flags Details
File: open_fds (2.33 KB, text/plain)
2019-07-17 07:52 UTC, Joseph
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-07-17 07:52 UTC, Joseph
no flags Details
File: var_log_messages (8.94 KB, text/plain)
2019-07-17 07:52 UTC, Joseph
no flags Details

Description Joseph 2019-07-17 07:51:18 UTC
Version-Release number of selected component:
krita-4.1.8-5.fc30

Additional info:
reporter:       libreport-2.10.1
backtrace_rating: 4
cmdline:        /usr/bin/krita /home/Crypto-Freak/Pictures/Very Colourful Mushrooms.jpg
crash_function: __strlen_avx2
executable:     /usr/bin/krita
journald_cursor: s=b5c1f34d4f8142d58b7269fee2c63c4f;i=f985;b=c68da04275144484a0bf0ddacfc1111d;m=1b153a050;t=58ddb5b2d55b5;x=d70abc7db5923a67
kernel:         5.1.17-300.fc30.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 __strlen_avx2 at ../sysdeps/x86_64/multiarch/strlen-avx2.S:65
 #1 QByteArray::append at tools/qbytearray.cpp:2094
 #2 QOpenGLEngineSharedShaders::findProgramInCache at opengl/qopenglengineshadermanager.cpp:386
 #3 QOpenGLEngineShaderManager::useCorrectShaderProg at opengl/qopenglengineshadermanager.cpp:880
 #4 QOpenGL2PaintEngineExPrivate::prepareForDraw at opengl/qopenglpaintengine.cpp:1278
 #5 QOpenGL2PaintEngineExPrivate::stroke at opengl/qopenglpaintengine.cpp:1412
 #6 QOpenGL2PaintEngineEx::stroke at opengl/qopenglpaintengine.cpp:1370
 #7 QPaintEngineEx::draw(QVectorPath const&) at painting/qpaintengineex.cpp:603
 #8 QPainter::drawPath at painting/qpainter.cpp:3399
 #9 KisToolSmartPatch::paint at /usr/src/debug/krita-4.1.8-5.fc30.x86_64/plugins/tools/tool_smart_patch/kis_tool_smart_patch.cpp:250

Comment 1 Joseph 2019-07-17 07:51:44 UTC
Created attachment 1591321 [details]
File: backtrace

Comment 2 Joseph 2019-07-17 07:51:46 UTC
Created attachment 1591322 [details]
File: cgroup

Comment 3 Joseph 2019-07-17 07:51:49 UTC
Created attachment 1591323 [details]
File: core_backtrace

Comment 4 Joseph 2019-07-17 07:51:50 UTC
Created attachment 1591324 [details]
File: cpuinfo

Comment 5 Joseph 2019-07-17 07:51:53 UTC
Created attachment 1591325 [details]
File: dso_list

Comment 6 Joseph 2019-07-17 07:51:54 UTC
Created attachment 1591326 [details]
File: environ

Comment 7 Joseph 2019-07-17 07:51:56 UTC
Created attachment 1591327 [details]
File: exploitable

Comment 8 Joseph 2019-07-17 07:51:57 UTC
Created attachment 1591328 [details]
File: limits

Comment 9 Joseph 2019-07-17 07:52:03 UTC
Created attachment 1591329 [details]
File: maps

Comment 10 Joseph 2019-07-17 07:52:04 UTC
Created attachment 1591330 [details]
File: mountinfo

Comment 11 Joseph 2019-07-17 07:52:06 UTC
Created attachment 1591331 [details]
File: open_fds

Comment 12 Joseph 2019-07-17 07:52:07 UTC
Created attachment 1591332 [details]
File: proc_pid_status

Comment 13 Joseph 2019-07-17 07:52:09 UTC
Created attachment 1591333 [details]
File: var_log_messages

Comment 14 Ben Cotton 2020-04-30 21:32:43 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2020-05-26 16:11:41 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.